# classes/phing/types/Description.php

Description is used to provide a project-wide description element (that is, a description that applies to a buildfile as a whole).

If present, the <description> element is printed out before the target descriptions.

Description has no attributes, only text. There can only be one project description per project. A second description element will overwrite the first.

author
  Hans Lellelid <hans@xmpl.org> (Phing)
author
  Craeg Strong <cstrong@arielpartners.com> (Ant)
package
  phing.types

## \Description
jump to top

Description is used to provide a project-wide description element (that is, a description that applies to a buildfile as a whole).

If present, the <description> element is printed out before the target descriptions.

Description has no attributes, only text. There can only be one project description per project. A second description element will overwrite the first.

Extends from
  \DataType
author
  Hans Lellelid <hans@xmpl.org> (Phing)
author
  Craeg Strong <cstrong@arielpartners.com> (Ant)
package
  phing.types
version
  $Revision: 526 $

### Methods

`addText( $text ) : void`
Adds descriptive text to the project.
Parameters

Name | Type | Description
--- | --- | ---
$text |  |

Documentation was generated by DocBlox 0.13.1.